| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Functions
cv::utils Namespace Reference

## Namespaces
namespace | fs
namespace | logging
namespace | trace

## Classes
class | AllocatorStatisticsInterface
class | BufferArea
| Manages memory block shared by muliple buffers. More...
class | lock_guard
| A simple scoped lock (RAII-style locking for exclusive/write access). More...
class | optional_lock_guard
| An optional simple scoped lock (RAII-style locking for exclusive/write access). More...
class | optional_shared_lock_guard
| An optional shared scoped lock (RAII-style locking for shared/reader access). More...
class | shared_lock_guard
| A shared scoped lock (RAII-style locking for shared/reader access). More...

## Typedefs
typedef std::vector< std::string > | Paths

## Functions
static String | dumpBool (bool argument)
static String | dumpCString (const char *argument)
static String | dumpDouble (double argument)
static String | dumpFloat (float argument)
String | dumpInputArray (InputArray argument)
String | dumpInputArrayOfArrays (InputArrayOfArrays argument)
String | dumpInputOutputArray (InputOutputArray argument)
String | dumpInputOutputArrayOfArrays (InputOutputArrayOfArrays argument)
static String | dumpInt (int argument)
static String | dumpInt64 (int64 argument)
static String | dumpRange (const Range &argument)
static String | dumpRect (const Rect &argument)
static String | dumpRotatedRect (const RotatedRect &argument)
static String | dumpSizeT (size_t argument)
static String | dumpString (const String &argument)
static String | dumpTermCriteria (const TermCriteria &argument)
String | dumpVectorOfDouble (const std::vector< double > &vec)
String | dumpVectorOfInt (const std::vector< int > &vec)
String | dumpVectorOfRect (const std::vector< Rect > &vec)
bool | getConfigurationParameterBool (const char *name, bool defaultValue=false)
Paths | getConfigurationParameterPaths (const char *name, const Paths &defaultValue=Paths())
size_t | getConfigurationParameterSizeT (const char *name, size_t defaultValue=0)
std::string | getConfigurationParameterString (const char *name, const std::string &defaultValue=std::string())
int | getThreadID ()

## Typedef Documentation

## ◆ Paths

typedef std::vector<std::string> cv::utils::Paths

## Function Documentation

## ◆ getConfigurationParameterBool()

bool cv::utils::getConfigurationParameterBool | ( | const char * | name,
|  | bool | defaultValue = false )

## ◆ getConfigurationParameterPaths()

Paths cv::utils::getConfigurationParameterPaths | ( | const char * | name,
|  | const Paths & | defaultValue = Paths() )

## ◆ getConfigurationParameterSizeT()

size_t cv::utils::getConfigurationParameterSizeT | ( | const char * | name,
|  | size_t | defaultValue = 0 )

## ◆ getConfigurationParameterString()

std::string cv::utils::getConfigurationParameterString | ( | const char * | name,
|  | const std::string & | defaultValue = std::string() )

## ◆ getThreadID()

int cv::utils::getThreadID | ( |  | ) |